### Function

# Atk TextAttribute for_name

#### Declaration [src]

    AtkTextAttribute
    atk_text_attribute_for_name (
      const gchar* name
    )

#### Description [src]

Get the `AtkTextAttribute` type corresponding to a text attribute name.

#### Parameters

`name`

  Type: `const gchar*`

  A string which is the (non-localized) name of an ATK text attribute.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkTextAttribute`

The `AtkTextAttribute` enumerated type corresponding to the specified name, or #ATK_TEXT_ATTRIBUTE_INVALID if no matching text attribute is found.